﻿using System;

namespace AdrianKousz.Util
{
	public static class DateTimes
	{
		private static readonly DateTime Epoch = new DateTime(1970, 1, 1);

		public static DateTime ToDateTime(this int timestamp)
		{
			return Epoch.AddSeconds(timestamp);
		}

		public static DateTime ToDateTime(this double timestamp)
		{
			return Epoch.AddSeconds(timestamp);
		}

		public static double ToUnixTime(this DateTime t)
		{
			return t.Subtract(Epoch).TotalSeconds;
		}
	}
}

